Bug 1291596 - (CVE-2015-7213) CVE-2015-7213 Mozilla: Integer overflow in MP4 playback in 64-bit versions (MFSA 2015-146)
CVE-2015-7213 Mozilla: Integer overflow in MP4 playback in 64-bit versions (M...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151216,repo...
: Security
Depends On:
Blocks: 1290704
  Show dependency treegraph
 
Reported: 2015-12-15 03:58 EST by Huzaifa S. Sidhpurwala
Modified: 2016-01-21 05:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 14:46:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-12-15 03:58:22 EST
Security researcher Ronald Crane reported a vulnerability found through code inspection. This issue is an integer overflow while processing an MP4 format video file when an a erroneously-small buffer is allocated and then overrun, resulting in a potentially exploitable crash.

This issue only affects 64-bit versions with 32-bit versions being unaffected.


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-146.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Ronald Crane  as the original reporter.
Comment 1 errata-xmlrpc 2015-12-16 13:23:48 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2015:2657 https://rhn.redhat.com/errata/RHSA-2015-2657.html
Comment 2 errata-xmlrpc 2016-01-05 10:35:18 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:0001 https://rhn.redhat.com/errata/RHSA-2016-0001.html

Note You need to log in before you can comment on or make changes to this bug.